package com.sun.corba.se.impl.oa.poa;

import org.omg.PortableServer.POAPackage.WrongPolicy;
import java.util.HashMap;
import java.util.Map;

class SingleObjectMap extends ActiveObjectMap
{
    private Map entryToKey;
    
    public SingleObjectMap(POAImpl poaImpl) {
        super(poaImpl);
        this.entryToKey = new HashMap();
    }
    
    @Override
    public ActiveObjectMap.Key getKey(AOMEntry aomEntry) throws WrongPolicy {
        return (ActiveObjectMap.Key)this.entryToKey.get(aomEntry);
    }
    
    @Override
    protected void putEntry(ActiveObjectMap.Key key, AOMEntry aomEntry) {
        super.putEntry(key, aomEntry);
        this.entryToKey.put(aomEntry, key);
    }
    
    @Override
    public boolean hasMultipleIDs(AOMEntry aomEntry) {
        return false;
    }
    
    @Override
    protected void removeEntry(AOMEntry aomEntry, ActiveObjectMap.Key key) {
        this.entryToKey.remove(aomEntry);
    }
    
    public void clear() {
        super.clear();
        this.entryToKey.clear();
    }
}
